int centerX = 20;
int centerY = 200;
int bodyWidth = 20;
int bodyHeight = 100;
int headSize = 60;
int eyeWidth = 16;
int eyeHeight = 2 * eyeWidth;
int eyeShift = headSize/3;
int legYEnd = centerY + bodyHeight/2 + bodyWidth/2;
int legYStart = centerY + bodyHeight/2;

void setup() {
  size(800,800);  // Set the size of the window
  background(255);  // White background 
  smooth(); 
  frameRate(60);
}

void drawRooba(int centerX, int centerY) {
   // Draw Rooba’s body
  stroke(0);
  fill(255, 0, 0);
  rect(centerX, centerY, bodyWidth, bodyHeight);
  
  // Draw Rooba’s head
  fill(255);
  rect(centerX, centerY - headSize/2, headSize, headSize); 
  
  // Draw Rooba’s eyes
  fill(255, 0, 0); 
  ellipse(centerX - eyeShift, centerY - headSize/2, eyeWidth, eyeHeight); 
  ellipse(centerX + eyeShift, centerY - headSize/2, eyeWidth, eyeHeight);
  
  // Draw Rooba’s legs
  stroke(0);
  legYEnd = centerY + bodyHeight/2 + bodyWidth/2;
  legYStart = centerY + bodyHeight/2;
  line(centerX - bodyWidth/2, legYStart, centerX - bodyWidth, legYEnd);
  line(centerX, legYStart, centerX, legYEnd);
  line(centerX + bodyWidth/2, legYStart, centerX + bodyWidth, legYEnd);
}

void draw() {
  background(255);
  // Set ellipses and rects to CENTER mode
  ellipseMode(CENTER);
  rectMode(CENTER); 
  
  for (int i = 0; i < 30; i++) {
    int x = centerX + i * 10;
    int y = centerY + i * 10;
    drawRooba(x, y);
  }
  
  centerX = centerX + 1;
}